We must be recommended GD Version 2.0 with JPG Support.